SimpleAuthConfig (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.security.jaspi

## Class SimpleAuthConfig

- java.lang.Object
- - org.eclipse.jetty.security.jaspi.SimpleAuthConfig

- All Implemented Interfaces:
    javax.security.auth.message.config.AuthConfig, javax.security.auth.message.config.ServerAuthConfig

      public class SimpleAuthConfig
      extends Object
      implements javax.security.auth.message.config.ServerAuthConfig

  Version:
    $Rev: 4660 $ $Date: 2009-02-25 17:29:53 +0100 (Wed, 25 Feb 2009) $

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `HTTP_SERVLET`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleAuthConfig(String appContext, javax.security.auth.message.config.ServerAuthContext serverAuthContext)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAppContext()`
    `javax.security.auth.message.config.ServerAuthContext` | `getAuthContext(String authContextID, Subject serviceSubject, Map properties)`
    `String` | `getAuthContextID(javax.security.auth.message.MessageInfo messageInfo)`
    `String` | `getMessageLayer()`
    `boolean` | `isProtected()`
    `void` | `refresh()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HTTP_SERVLET

          public static final String HTTP_SERVLET

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SimpleAuthConfig

          public SimpleAuthConfig(String appContext,
                          javax.security.auth.message.config.ServerAuthContext serverAuthContext)

  - ### Method Detail

    - #### getAuthContext

          public javax.security.auth.message.config.ServerAuthContext getAuthContext(String authContextID,
                                                                            Subject serviceSubject,
                                                                            Map properties)
                                                                              throws javax.security.auth.message.AuthException

      Specified by:
        `getAuthContext` in interface `javax.security.auth.message.config.ServerAuthConfig`
      Throws:
        `javax.security.auth.message.AuthException`

    - #### getAppContext

          public String getAppContext()

      Specified by:
        `getAppContext` in interface `javax.security.auth.message.config.AuthConfig`

    - #### getAuthContextID

          public String getAuthContextID(javax.security.auth.message.MessageInfo messageInfo)
                                  throws IllegalArgumentException

      Specified by:
        `getAuthContextID` in interface `javax.security.auth.message.config.AuthConfig`
      Throws:
        `IllegalArgumentException`

    - #### getMessageLayer

          public String getMessageLayer()

      Specified by:
        `getMessageLayer` in interface `javax.security.auth.message.config.AuthConfig`

    - #### isProtected

          public boolean isProtected()

      Specified by:
        `isProtected` in interface `javax.security.auth.message.config.AuthConfig`

    - #### refresh

          public void refresh()

      Specified by:
        `refresh` in interface `javax.security.auth.message.config.AuthConfig`

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.